server:
  port: 8088
  tomcat:
    max-swallow-size: -1
  error:
    include-exception: true
    include-stacktrace: ALWAYS
    include-message: ALWAYS
  servlet:
    context-path: /openapi
    session:
      timeout: PT2H
    encoding:
      charset: UTF-8
      force: true
      enabled: true
# DataSource Config
spring:
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.kingbase8.Driver
    url: jdbc:kingbase8://10.8.3.142:54321/ggzyexchange
    username: ggzyexchange
    password: ggzyexchange
    druid:
      stat-view-servlet:
        enabled: false
  mvc:
    static-path-pattern: /**
    #Spring Boot 2.6+后映射匹配的默认策略已从AntPathMatcher更改为PathPatternParser,需要手动指定为ant-path-matcher
    pathmatch:
      matching-strategy: ant_path_matcher
  redis:
    database: 13
    host: 127.0.0.1
    port: 6379
    password: GGZYadmin123!@#
  data:
    elasticsearch:
      client:
        reactive:
          endpoints: 10.8.3.142:9200  # 要连接的ES客户端Rest Uri 多个逗号分隔  http://192.168.1.251:9200
          connection-timeout: 10s
          username: elastic
          password: TRSadmin123!@#
      #ES 持久化存储
      repositories:
        enabled: true
  elasticsearch:
    rest:
      # 要连接的ES客户端Rest Uri 多个逗号分隔  http://192.168.1.251:9200
      uris: http://10.8.3.145:9200
      connection-timeout: 10s
      read-timeout: 30s
      username: elastic
      password: TRSadmin123!@#
mybatis-plus:
  global-config:
    db-config:
      id-type: auto
  configuration:
    map-underscore-to-camel-case: true
    auto-mapping-behavior: full
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  mapper-locations: classpath:mapper/*.xml
time:
  cron: 0 */10 * * * ?
